org.apache.solr.search.join

## Class BlockJoinChildQParser

- java.lang.Object
- - org.apache.solr.search.QParser
  - - org.apache.solr.search.join.BlockJoinParentQParser
    - - org.apache.solr.search.join.BlockJoinChildQParser

-     public class BlockJoinChildQParser
      extends BlockJoinParentQParser

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.search.join.BlockJoinParentQParser

      `CACHE_NAME`

    - ### Fields inherited from class org.apache.solr.search.QParser

      `localParams, localParamsEnd, params, qstr, query, recurseCount, req, stringIncludingLocalParams, valFollowedParams`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockJoinChildQParser(String qstr, SolrParams localParams, SolrParams params, SolrQueryRequest req)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Query` | `createQuery(Query parentListQuery, Query query, String scoreMode)`
    `protected String` | `getParentFilterLocalParamName()`

    - ### Methods inherited from class org.apache.solr.search.join.BlockJoinParentQParser

      `parse`

    - ### Methods inherited from class org.apache.solr.search.QParser

      `addDebugInfo, getDefaultHighlightFields, getHighlightQuery, getLocalParams, getParam, getParams, getParser, getParser, getQuery, getReq, getSort, getSortSpec, getString, setLocalParams, setParams, setReq, setString, subQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockJoinChildQParser

          public BlockJoinChildQParser(String qstr,
                                       SolrParams localParams,
                                       SolrParams params,
                                       SolrQueryRequest req)

  - ### Method Detail

    - #### createQuery

          protected Query createQuery(Query parentListQuery,
                                      Query query,
                                      String scoreMode)

      Overrides:
        `createQuery` in class `BlockJoinParentQParser`

    - #### getParentFilterLocalParamName

          protected String getParentFilterLocalParamName()

      Overrides:
        `getParentFilterLocalParamName` in class `BlockJoinParentQParser`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.